Bug 499281 - Review Request: xfce4-cellmodem-plugin - Cell Modem monitor plugin for the Xfce panel
Review Request: xfce4-cellmodem-plugin - Cell Modem monitor plugin for the Xf...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 18:46 EDT by Christoph Wickert
Modified: 2014-09-23 08:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.0.5-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-21 19:26:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-05-05 18:46:51 EDT
Spec URL: http://cwickert.fedorapeople.org/review/xfce4-cellmodem-plugin.spec
SRPM URL: http://cwickert.fedorapeople.org/review/xfce4-cellmodem-plugin-0.0.5-1.fc11.src.rpm
Description: The cellmodem plugin is a monitoring plugin for cellular modems. It reports provider and signal quality for GPRS/UMTS(3G)/HSDPA(3.5G) modem cards. It works with (mostly) all cards which support an out-of-band channel for monitoring purposes. Current features include:
* Display the current network type (GPRS/UMTS)
* Display the current signal level
* Configure the maximum signal level
* Configure the low and critical signal level
* Asking for PIN if modem needs it
* Quick visual feedback on modem and registration status via LEDs
Comment 1 Susi Lehtola 2009-05-06 04:00:03 EDT
- Same note here as well: your version requirements of xfce4-panel and xfce4-panel-devel are different.


rpmlint output is clean.

MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK

The package has been

APPROVED
Comment 2 Christoph Wickert 2009-05-06 09:20:09 EDT
(In reply to comment #1)
> - Same note here as well: your version requirements of xfce4-panel and
> xfce4-panel-devel are different.

Intended.

New Package CVS Request
=======================
Package Name: xfce4-cellmodem-plugin
Short Description: Cell Modem monitor plugin for the Xfce panel
Owners: cwickert
Branches: F-9 F-10 F-11
InitialCC:
Comment 3 Kevin Fenzi 2009-05-06 17:17:34 EDT
cvs done.
Comment 4 Fedora Update System 2009-05-09 09:05:20 EDT
xfce4-cellmodem-plugin-0.0.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xfce4-cellmodem-plugin-0.0.5-1.fc11
Comment 5 Fedora Update System 2009-05-09 09:05:41 EDT
xfce4-cellmodem-plugin-0.0.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xfce4-cellmodem-plugin-0.0.5-1.fc10
Comment 6 Fedora Update System 2009-05-09 09:05:52 EDT
xfce4-cellmodem-plugin-0.0.5-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xfce4-cellmodem-plugin-0.0.5-1.fc9
Comment 7 Fedora Update System 2009-05-11 23:56:35 EDT
xfce4-cellmodem-plugin-0.0.5-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update xfce4-cellmodem-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4708
Comment 8 Fedora Update System 2009-05-11 23:57:30 EDT
xfce4-cellmodem-plugin-0.0.5-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xfce4-cellmodem-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4725
Comment 9 Fedora Update System 2009-05-11 23:59:43 EDT
xfce4-cellmodem-plugin-0.0.5-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xfce4-cellmodem-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4745
Comment 10 Fedora Update System 2009-05-21 19:26:33 EDT
xfce4-cellmodem-plugin-0.0.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-21 19:27:15 EDT
xfce4-cellmodem-plugin-0.0.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-05-21 19:28:43 EDT
xfce4-cellmodem-plugin-0.0.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Mukundan Ragavan 2014-09-22 20:57:59 EDT
Package Change Request
======================
Package Name: xfce4-cellmodem-plugin
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc
Comment 14 Gwyn Ciesla 2014-09-23 08:09:56 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.